package traffic;

import signalj.timeseries.annotation.*;

@mode("union")
@checkpointInterval(300)
signal public class Monitor {
    public Traffic web = new Traffic("webserver");
    public Ping db = new Ping("dbserver");
    persistent signal int color = web.total > 50000 || db.dead == 1 ? 1 : 0;

    public Monitor(String id) { }

    public static void main(String[] args) {
	try {
	    Monitor m = new Monitor("mylab");
	    Thread t1 = new Thread(m.web);
	    Thread t2 = new Thread(m.db);
	    t1.start();
	    t2.start();
	} catch (Exception e) {
	    e.printStackTrace();
	}
    }
}
