package traffic;

import java.util.Random;
import io.reactivex.functions.Consumer;

signal class Ping implements Runnable {
    persistent signal double reply;
    signal int dead = reply > 100 ? 1 : 0;
    String id;
    
    Ping (String id) {
	this.id = id;
	reply.psubscribe((Consumer<Double>)(x->System.out.println("reply: " + x)));
    }

    public void run() {
	Random r = new Random();
	try {
	    while (true) {
		this.set(r.nextDouble());
		Thread.sleep(60000);
	    }
	} catch (Exception e) {
	    e.printStackTrace();
	}
    }
}
