package traffic;

import java.util.Random;
import io.reactivex.functions.Consumer;

signal class Traffic implements Runnable {
    persistent signal int http, https;
    signal int total = http + https;
    String id;
    
    Traffic(String id) {
	this.id = id;
	http.psubscribe((Consumer<Integer>)(x->System.out.println("http: " + x)));
	https.psubscribe((Consumer<Integer>)(x->System.out.println("https: " + x)));
    }

    public void run() {
	Random r = new Random();
	try {
	    while (true) {
		this.set(1000 + r.nextInt(1000), 10000 + r.nextInt(5000));
		Thread.sleep(5000);
	    }
	} catch (Exception e) {
	    e.printStackTrace();
	}
    }
}
