package treadmill;

import io.reactivex.functions.Consumer;
import signalj.timeseries.annotation.*;

@mode("intersection")
@checkpointInterval(5)
signal class Intensity {
    Treadmill tm = new Treadmill("tm1");
    Wearable watch = new Wearable("watch");
    persistent signal double intensity = ((((double)watch.heartbeat)-110.0)/(180-100.0))*100;
    persistent signal double calory = tm.sumDist*15.0;

    public Intensity(String id) {
	intensity.psubscribe((Consumer<Double>)(x->System.out.println(x)));
	calory.psubscribe((Consumer<Double>)(x->System.out.println(x)));
    }

    public static void main(String[] args) {
	try {
	    Intensity its = new Intensity("0001");
	    Thread t1 = new Thread(its.tm);
	    Thread t2 = new Thread(its.watch);
	    t1.start();
	    t2.start();
	} catch(Exception e) {
	    e.printStackTrace();
	}
    }
}
