package treadmill;

import java.util.Random;
import io.reactivex.functions.Consumer;

signal class Treadmill implements Runnable {
    persistent signal double speed;
    persistent signal double dist = speed*0.00028;
    signal double sumDist = dist.psum();
    String id;
    
    public Treadmill(String id) {
	this.id = id;
	speed.psubscribe((Consumer<Double>)(x->System.out.println("speed:" + x)));
	dist.psubscribe((Consumer<Double>)(x->System.out.println("dist:" + x)));
    }

    public void run() {
	Random r = new Random();
	try {
	    while (true) {
		Thread.sleep(1000);
		this.set(10.0+2.0*r.nextDouble());
	    }
	} catch (Exception e) { }
    }
}
