package waterlevel;

import java.util.Random;
import io.reactivex.functions.Consumer;
import signalj.timeseries.*;

signal class Branch implements Runnable {
    persistent signal double waterLevel, aveRain;
    String id;
    double base;

    public Branch(String id, double base) {
	this.id = id;
	this.base = base;
	waterLevel.psubscribe((Consumer<Double>)(x->System.out.println("water level:" + x)));
	aveRain.psubscribe((Consumer<Double>)(x->System.out.println("rain fall: " + x)));
    }

    public void run() {
	Random r = new Random();
	int i = 0;
	try {
	    while (true) {
		this.set(20+3*r.nextDouble(), base+0.01*i);
		Thread.sleep(120000);
		i++;
	    }
	} catch (Exception e) {
	    e.printStackTrace();
	}
    }
}
