package waterlevel;

import io.reactivex.functions.Consumer;
import signalj.timeseries.annotation.*;

@mode("intersection")
@checkpointInterval(600)
signal class Forecast {
    Branch b1 = new Branch("spot1", 1.8);
    persistent signal int alert = b1.waterLevel > 4.0 || b1.aveRain > 100 ? 1 : 0;

    public Forecast(String id) {
	alert.psubscribe((Consumer<Double>)(x->System.out.println("alert: " + x)));
    }

    public static void main(String[] args) {
	try {
	    Forecast f = new Forecast("000a");
	    Thread t1 = new Thread(f.b1);
	    t1.start();
	} catch(Exception e) {
	    e.printStackTrace();
	}
    }
}
